<?php

namespace idoit\Module\Cmdb\Component\SyncNormalizer;

use isys_cmdb_dao_category;

class Config
{
    /**
     * @var isys_cmdb_dao_category
     */
    protected isys_cmdb_dao_category $dao;

    /**
     * @var array
     */
    protected array $data = [];

    /**
     * @param isys_cmdb_dao_category $dao
     * @param array                  $data
     */
    public function __construct(isys_cmdb_dao_category $dao, array $data)
    {
        $this->dao = $dao;
        $this->data = $data;
    }

    /**
     * @return isys_cmdb_dao_category
     */
    public function getDao(): isys_cmdb_dao_category
    {
        return $this->dao;
    }

    /**
     * @return array
     */
    public function getData(): array
    {
        return $this->data;
    }
}
